Create Integration - SuperAI Flows
Create Integration
cURL
curl --request POST \
--url https://flows.super.ai/api/plugins/{plugin_name}/instances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_name": "<string>"
}
'```
### Python
```python
import requests
url = "https://flows.super.ai/api/plugins/{plugin_name}/instances"
payload = {
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
flow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
task_name: '<string>'
})
};
fetch('https://flows.super.ai/api/plugins/{plugin_name}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/plugins/{plugin_name}/instances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'credential_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'description' => '<string>',
'flow_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'task_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/plugins/{plugin_name}/instances"
payload := strings.NewReader("{\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"flow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"task_name\": \"<string>\"}\")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/plugins/{plugin_name}/instances")
.header("X-API-Key", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"flow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"task_name\": \"<string>\"}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/plugins/{plugin_name}/instances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"flow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"task_name\": \"<string>\"}\"
response = http.request(request)
puts response.read_body
Response
422
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Authorizations
- X-API-Key
string
header
required
API key authentication. Include your API key in theX-API-Keyheader as:X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
- Authorization
string
header
required
JWT Bearer token authentication. Include your access token in theAuthorizationheader as:Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
- plugin_name
string
required
Body
credential_id
string| null
requireddescription
string
requiredflow_id
string
requiredtask_name
string
required
Response
200
application/json
Successful Response